<template>
  <table>
    <tr>
      <td>
        <Dropdown
          v-bind:label="label_network_selection"
          v-bind:options="options_network_selection"
          @dropdownSelectionChanged="onNetworkChanged($event)"
        />
      </td>
      <td>
        <Dropdown
          v-bind:label="label_algorithm_selection"
          v-bind:options="options_algorithm_selection"
          v-bind:undo_select="undo_select_algorithm"
          @dropdownSelectionChanged="onAlgorithmChanged($event)"
        />
      </td>
    </tr>
  </table>
</template>

<script>
import Dropdown from "./basic/Dropdown.vue";

export default {
  name: "NetworkAlgorithmSelection",
  components: {
    Dropdown,
  },
  props: {
    undo_select_algorithm: Boolean,
  },
  data: function () {
    return {
      label_network_selection: "Netzwerk",
      label_algorithm_selection: "Algorithmus",
      options_algorithm_selection: [
        { name: "wählen...", value: "no-selection" },
        { name: "Common Neighbors", value: "cn" },
        { name: "Jaccard's Coefficient", value: "jc" },
        { name: "Preferential Attachment", value: "pa" },
        { name: "Adamic/Adar", value: "aa" },
        { name: "Katz", value: "k" },
        { name: "Commute Time", value: "ct" },
      ],
      options_network_selection: [
        { name: "wählen...", value: "no-selection" },
        { name: "Confluence", value: "confluence" },
        { name: "Hospital Ward", value: "hospital-ward" },
        { name: "Highschool", value: "highschool-2012" },
        { name: "Primary School", value: "primary-school" },
        { name: "SFHH Conference", value: "sfhh-conference" },
      ],
      selectedNetwork: "no-selection",
      selectedAlgorithm: "no-selection",
    };
  },
  methods: {
    onNetworkChanged(network) {
      this.$emit("network_selection_changed", network);
    },
    onAlgorithmChanged(algorithm) {
      this.$emit("algorithm_selection_changed", algorithm);
    },
  },
};
</script>

<style scoped>
td {
  max-width: 50%;
  width: 50%;
  vertical-align: top;
}

table {
  width: 100%;
  height: 100%;
}
</style>
